# Properties file for log4j logging utility
# See http://jakarta.apache.org/log4j for documentation and latest binaries.
 
######################################################################################################
# Define the Appenders (output destinations)
######################################################################################################
 
log4j.rootLogger=INFO,FILEAPPENDER,ROLLINGAPPENDER,CONSOLEAPPENDER

######################################################################################################
# FILEAPPENDER
######################################################################################################
log4j.appender.FILEAPPENDER=org.apache.log4j.FileAppender
log4j.appender.FILEAPPENDER.File=ABSClientLog.log
log4j.appender.FILEAPPENDER.Threshold=OFF
log4j.appender.FILEAPPENDER.Append=false
log4j.appender.FILEAPPENDER.layout=org.apache.log4j.PatternLayout
log4j.appender.FILEAPPENDER.layout.ConversionPattern=%d [%t] %-5p %c (%F:%L) :: %m%n
# log4j.appender.ABSLOGGER.layout.ConversionPattern=%d [%t] %+2p %F:%L :: %m%n
######################################################################################################
 

######################################################################################################
# CONSOLEAPPENDER
######################################################################################################
log4j.appender.CONSOLEAPPENDER=org.apache.log4j.ConsoleAppender
log4j.appender.CONSOLEAPPENDER.Target=System.out
log4j.appender.CONSOLEAPPENDER.Threshold=OFF
log4j.appender.CONSOLEAPPENDER.layout=org.apache.log4j.PatternLayout
log4j.appender.CONSOLEAPPENDER.layout.ConversionPattern=%20r %d %-5p multicart [%t] %c -%x %m%n
# log4j.appender.CONSOLEAPPENDER.layout.ConversionPattern=%d %-2p %F:%L - %m%n
# log4j.appender.CONSOLEAPPENDER.layout.ConversionPattern=%d{ABSOLUTE} %5p %c (%F:%L) - %m%n
######################################################################################################



######################################################################################################
#   ROLLINGAPPENDER
######################################################################################################
log4j.appender.ROLLINGAPPENDER=org.apache.log4j.RollingFileAppender
log4j.appender.ROLLINGAPPENDER.File=ABSClientRollingLog.log
log4j.appender.ROLLINGAPPENDER.MaxFileSize=1024KB
  # keep 5 backup files
log4j.appender.ROLLINGAPPENDER.MaxBackupIndex=5
log4j.appender.ROLLINGAPPENDER.layout=org.apache.log4j.PatternLayout
log4j.appender.ROLLINGAPPENDER.layout.ConversionPattern=%p %t %c - %m%n
######################################################################################################

######################################################################################################
# ASPECTJ APPENDER
# The appender is defined in the OurLogger class, so we can fully control it
######################################################################################################
# Set up exclusions, like:
# log4j.logger.absgroup.bl.applicationaccess.Dialogs=OFF
log4j.logger.absgroup.bl.applicationaccess.Dialogs=OFF
log4j.logger.absgroup.forms.ResponseTimes=OFF
log4j.logger.absgroup.forms.ResponseTimes$TimeThread=OFF
log4j.logger.absgroup.forms.ResponseTimes$MyThread=OFF
######################################################################################################

log4j.category.org.apache=WARN
log4j.category.org.hibernate=WARN
log4j.category.absgroup.comm=OFF
log4j.category.org.llrp=OFF
log4j.category.absgroup.forms.scan=OFF
log4j.category.absgroup.scan=OFF
